<!DOCTYPE html>
<html lang="pl-PL">
<%- include('partials/_head.ejs') %>
<body>
  <style>
    #apiGenarateButton {
      padding: 13px;
      background-color: transparent; 
      color: rgb(0, 140, 255); 
      border: 1px solid rgb(0, 140, 255); 
      border-radius: 25px; 
      margin-top: 10px;
      transition: 0.2s ease-in-out;
    }
    #apiGenarateButton:hover {
      background-color: rgb(0, 140, 255);
      color: azure;
    }
    #roleBtn {
      padding: 13px;
      background-color: transparent; 
      color: #00b894; 
      border: 1px solid #00b894; 
      border-radius: 25px; 
      margin-top: 10px;
      transition: 0.2s ease-in-out;
    }
    #roleBtn:hover {
      background-color: #029679;
      color: azure;
    }
    #addButton {
      padding: 13px;
      background-color: transparent; 
      color: #00b894; 
      border: 1px solid #00b894; 
      border-radius: 25px; 
      margin-top: 10px;
      transition: 0.2s ease-in-out;
    }
    #addButton:hover {
      background-color: #029679;
      color: azure;
    }
  </style>
<%- include('partials/_header.ejs') %>
<main role="main" class="container mt-4">
  <h2>Zarządzanie użytkownikami</h2>
  <a href="/role-form" class="btn btn-primary mt-3" id="roleBtn">Zarządzaj rolami</a>
  <a href="/auth/new-user" class="btn btn-primary mt-3" id="addButton">Dodaj nowego użytkownika</a>
  <% if (userRole === 'Admin') { %>
    <form action="/api-token-generation" method="get">
      <button type="submit" id="apiGenarateButton">Wygeneruj token API</button>
    </form>
  <% } %>
</main>
</body>
<%- include('partials/_footer.ejs') %>
</html>